STRUCT TEMPLATE(3)

NAME
boost::intrusive::cache_begin

SYNOPSIS

// In header: <boost/intrusive/options.hpp>
template<bool Enabled>
struct cache_begin {
  // member classes/structs/unions
  // @ template<class Base>
  struct pack {
    static const bool cache_begin;
  };
};

DESCRIPTION

This option setter specifies if the container will cache a pointer to the first non-empty bucket so that begin() is always constant-time. This is specially helpful when we can have containers with a few elements but with big bucket arrays (that is, hashtables with low load factors).